Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.classloading.plugins
Class WrappingClassLoader

    java.lang.Object
      java.lang.ClassLoader
          org.jboss.classloading.plugins.WrappingClassLoader

All Implemented Interfaces:
  PackageInfo

public class WrappingClassLoader
extends ClassLoader
implements PackageInfo

A wrapping classloader.

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock

Constructor Summary
`WrappingClassLoader(ClassLoader cl)` Create a new wrapping classloader

Method Summary
`Package` | `getPackage(String name)`
`Package[]` | `getPackages()`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WrappingClassLoader

    public WrappingClassLoader(ClassLoader cl)

  Create a new wrapping classloader

Method Detail

### getPackages

    public Package[] getPackages()

  Specified by:
    `getPackages` in interface `PackageInfo`

### getPackage

    public Package getPackage(String name)

  Specified by:
    `getPackage` in interface `PackageInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.